
/*
 *	$Id: ax25_dg.c,v 1.1.1.1 2002/02/15 22:36:40 Klaus Exp $
 *
 *	ax25_dg.c	Abwicklung des Datagram-Modus (UI) des
 *			AX.25-Protokollstacks.
 *
 *	
 *
 *	(c) 2000,	Klaus Hennemann
 *
 *
 *	This program is free software; you can redistribute it and/or modify it
 *	under the terms of the GNU General Public License as published by the
 *	Free Software Foundation; either version 2, or (at your option) any
 *	later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *	In other words, you are welcome to use, share and improve this program.
 *	You are forbidden to forbid anyone else to use, share and improve
 *	what you give them.   Help stamp out software-hoarding!  
 */

#include "ax25.h"
#include "ax25_dg.h"
#include "ax25_l1.h"
#include "buf.h"
#include "queue.h"
#include "mm.h"

/*---------------------------------------------------------------------------*/


/*
 *	Nimmt AX.25-Datagramme entgegen
 *
 */
void dg_recv (struct AX25_cb xdata *axcb,struct AX25_block idata *axb)
{
	if (!q_enqueue(&axcb->inq,axb->buf))
		buf_delete(axb->buf);
}


/*
 *	Sendet die Datagramme, die sich in der Sendequeue befinden
 *	aus.
 *
 */
void dg_run (struct AX25_cb xdata *axcb)
{
	struct Buffer xdata * idata buf;

	if (axcb->state != AX25_ESTABLISHED)
		return;

	if ( (buf = q_first(&axcb->outq)) != NULL )
		if (l1_xmit_ui(&axcb->path, AX25_COMMAND, AX25_PID_TEXT, buf))
			if ( (buf = q_dequeue(&axcb->outq)) != NULL )
				buf_delete(buf);
}




