
#ifndef _AX25_L2_H_
#define _AX25_L2_H_


#include "ax25_l1.h"
#include "timer.h"


struct AX25_cb;

/*
 *	Default-Patameter
 *
 */
#define L2_DEFAULT_UNACK 	7	/* max. # unbestaetigter I-Frames */
#define L2_DEFAULT_N2  	 	10	/* in Wiederholungsversuche */
#define L2_DEFAULT_T1 	 	3	/* in Sekunden */
#define L2_DEFAULT_T2 	 	5	/* in 1/10-Sekunden */	
#define L2_DEFAULT_T3 	 	9	/* in 10 Sekunden */	


/*
 *	Zustaende einer AX.25-Verbindung
 *
 */
#define AX25_STATE_DISCONNECTED		0
#define AX25_STATE_CON_PENDING		1
#define AX25_STATE_DISC_PENDING		2	
#define AX25_STATE_CONNECTED		3
#define AX25_STATE_WAITING_ACK		4


struct AX25_l2data {
	unsigned char	state;

	unsigned char	connected : 1;	/* Connect beidseitig! */
	
	unsigned char	own_busy  : 1;
	unsigned char	peer_busy : 1;
	unsigned char	rej_sent  : 1;

	unsigned char	n2;

	unsigned char	vr;
	unsigned char	vs;
	unsigned char	va;

	struct Timer	t1;
	struct Timer	t2;
	struct Timer	t3;
};

void l2_clear (struct AX25_l2data xdata *axl2);
void l2_init (struct AX25_cb xdata *axcb);
void l2_connect (struct AX25_cb xdata *axcb);
void l2_disconnect (struct AX25_cb xdata *axcb);
char l2_accept (struct AX25_cb xdata *axcb);

void l2_recv (struct AX25_cb xdata *axcb,struct AX25_block idata *axb);
void l2_run (struct AX25_cb xdata * axcb);

#endif

