;-----------------------------------------------------------------------------
;
;	$Id: bank.s,v 1.3 2002/03/08 20:53:56 Klaus Exp $
;
;	bank.s		Code zum Starten einer Flash-Bank und zum
;			Zugriff auf die Bank-Informationen. 
;	
;
;
;	2001,		Klaus Hennemann, DL3KHB
;
;-----------------------------------------------------------------------------


			;
			; Informationen ueber die Firmware in der
			; Speicherbank. In der Bank-Info ist ein
			; Zeiger auf dieses Objekt hinterlegt.
			;
			extrn code (fw_info)

			;
			; Bank-Info, ueber die ein anderes Modul die
			; Position der Firmware-Informationen ermitteln
			; kann.
			;
			public bank_info 

			;
			; Funktion zum starten der Firmware in einer
			; Flash-Bank
			;
			public bank_start




			cseg at 0fff0h
		
bank_info:		dw fw_info	; Zeiger auf Firmware-Info-Objekt
			dw 0		; reserviert
			dw 0		; reserviert
			dw 0		; reserviert


			
bank_start:		;
			; void bank_start ()
			;
			; Wenn das Bit 5 in P3 geloescht wird, wird
			; das Flash in das code-Segment eingeblendet.
			;
			;
			nop
			mov P3, #0dfh 
			nop		; nun ist das Flash eingeblendet 
			nop
			nop
			nop

			;
			; An dieser Stelle springt der Programm-Zaehler
			; von 0ffffh auf 0000h zurueck und startet
			; so die Firmware.
			;
			;
			
			end

			
