
#ifndef _CMDINT_H_
#define _CMDINT_H_

#include "ax25.h"
#include "ax25_l1.h"

/*
 *	Maximale Anzahl Argumente. Muss
 *	ggf. angepasst werden!
 *
 */
#define ARGS_MAX	5


struct Command;


union ARGV {
	struct AX25_address	call;
	unsigned char		boolean;
	char xdata		*string;

	unsigned char		u8;
	unsigned int		u16;
	unsigned long		u32;
};


struct Args {
	unsigned char		id;		/* Kommando-ID */

	unsigned char		argc;
	union ARGV		argv[ARGS_MAX];
	
	char xdata		*tail;		/* Rest der Zeile */
	struct Command code	*cmd;		
};


struct Command {	
	unsigned char		id;		/* Kommando-ID */

	char code		*cmd;	
	char code		*parm;		/* Parameterliste */
	char code		*parm_desc;	/* Parameterbeschreibung */

	struct Command code 	*subtab;	/* Subkommando-Tabelle */
};


/*
 *	Definitionen fuer die Endmarkierung  einer
 *	Kommandotabelle
 *
 */
#define CMD_ID_END	0xff	
#define CMDTAB_END	{ CMD_ID_END, NULL, NULL, NULL, NULL } 


void cmd_showcmds (struct AX25_cb xdata *axcb,
                   struct Command code *cmdtab);
void cmd_show_usage (struct AX25_cb xdata *axcb,
		     struct Command code *cmd);

struct Args xdata * cmd_interprete (struct AX25_cb xdata *axcb,
		                    char xdata *cmdstr,
                                    struct Command code *cmdtab);

#endif

