
#ifndef _DECTABS_H_
#define _DECTABS_H_

#include "scc.h"

/*
 *	Auto-Sensing-Tabelle. Zur genauen Erklaerung
 *	siehe dectabs.c.
 *
 */
extern unsigned char code astab[64];


struct DecTab {
	/*
	 *	Geschwindigkeit, fuer die diese
	 *	Decoder-Tabelle berechnet wurde.
	 *
	 */
	unsigned char		speed;		/* SCC_B512, SCC_B1200, ... */

	/*
	 *	Zeiger auf die entsprechende
	 *	Decodertabelle.
	 *
	 */
	unsigned char code	*tab;

	/*
	 *	Laenge der Decodertabelle <tab>
	 *	in Bytes.
	 *
	 */
	unsigned int		tablen;

	/*
	 *	Timerkonstante, mit der der Timer T0 initialisiert
	 *	werden muss, damit er genau fuer die Dauer eines
	 *	3/4 Bits (= 75%) laeuft.
	 *
	 */
	unsigned int		tc_bitlen_75;
};


extern struct DecTab code dectab[SCC_BCNT];

#endif

