
#ifndef _EEPROM_H_
#define _EEPROM_H_

#include "system.h"

/*
 *      Speicherkapazitaet des EEPROMs in
 *      Bytes
 *
 */
#define EE_SIZE	2048

/*
 *      Slave I2C Basisadresse des
 *      EEPROMs
 *
 */
#define EE_ADDR	0x50

/*
 *      Port-Pin, an dem der WP-Pin des
 *      EEPROMS angeschlossen ist.
 *	(P1.5)
 *
 */
sbit EE_WP = 0x95;


void ee_init();
void ee_read (unsigned int _addr, void xdata *_buf, unsigned int _buflen);
void ee_write (unsigned int _addr, void xdata *_buf, unsigned int _buflen);

#ifdef SDCC
void sio1_isr () interrupt INT_S1 using REGB_LP;
#endif

#endif
