
#ifndef _INFOBOX_H_
#define _INFOBOX_H_

#include "ax25.h"


#define IBOX_MODE_CMD		0
#define IBOX_MODE_PASSWD	1
#define IBOX_MODE_INPUT_CTEXT	2
#define IBOX_MODE_FLASH		3
#define IBOX_MODE_TRACE		4


struct Infobox {
	struct Infobox xdata	*next;

	/*
	 *	Verbindungs-Controlblock zur
	 *	Gegenstelle
	 *
	 */
	struct AX25_cb xdata	*axcb;

	/*
	 *	sysop == 1 => previligierter modus
	 *
	 */
	unsigned char		sysop : 1;

	/*
	 *	Infobox-Modus
	 *
	 */
	unsigned char		mode  : 7;

	/*
	 *	Zeiger auf Service-Objekt, das
	 *	mit der Infobox verbunden ist.
	 *
	 */
	void xdata		*obj;
};


void ibox_setup (struct AX25_cb xdata * axcb);
void ibox_run ();

#endif

