
#ifndef _INPUT_H_
#define _INPUT_H_


#include "ax25.h"


struct Input {
	/*
	 *	Zustand des input-Objekts
	 *
	 */
	unsigned char		state;
	 
	/*
	 *	AX.25-Controlblock, ueber den die Ein- und
	 *	Ausgabe abgewickelt wird.
	 *
	 */
	struct AX25_cb xdata	*axcb;

	/*
	 *	Puffer, in den der fertig eingelesene Text
	 *	kopiert werden soll.
	 *
	 */
	char xdata		*buf;

	/*
	 *	Schreibzeiger + Anzahl Bytes, die noch in den 
	 *	temporaeren Puffer geschrieben werden koennen.
	 *
	 */
	char xdata		*wptr;
	unsigned int		left;

	/*
	 *	Direkt hierhinter befindet sich der temporaere
	 *	Puffer, in dem die Eingaben zwischengespeichert werden.
	 *
	 */
};

struct Input xdata * inp_new (struct AX25_cb xdata *axcb,
			      char xdata *buf,
			      unsigned int buflen);
void inp_delete (struct Input xdata *inp);
char inp_run (struct Input xdata *inp);

#endif

