
#ifndef _KISS_H_
#define _KISS_H_


#include "buf.h"


/*
 *	KISS-Definitionen zum transponoieren 
 *	des Begrenzungszeichens
 *
 */
#define KISS_FEND	0xc0
#define KISS_TFEND	0xdc
#define KISS_FESC	0xdb
#define KISS_TFESC	0xdd


/*
 *	KISS Control-Bytes
 *	
 */
#define KISS_CTL_DATA	0x00
#define KISS_CTL_FLEX	0x20
#define KISS_CTL_SMACK  0x80


/*
 *	Maximale (uncodierte) KISS-Datagrammgroesse
 *
 */
#define KISS_MAXBUFLEN	340


/*
 *	Maximale Anzahl Frames, die in der Sende-Queue liegen
 *	duerfen. 
 *
 */
#define KISS_MAXTXFMS	20


void kiss_init ();
void kiss_run ();
char kiss_xmit (struct Buffer xdata *buf);


#endif /* _KISS_H_ */

