
#ifndef _MASTER_H_
#define _MASTER_H_

#include "ax25.h"
#include "ax25_l1.h"


/*
 *	Maximale Anzahl Funkruf-Master, die in der Tabelle
 *	gehalten werden koennen
 *
 */
#define MASTER_MAX	4


struct Master {
	/*
	 *	Flags
	 *
	 */
	unsigned char		in_use 	: 1;
	unsigned char		cmode 	: 1;

	/*
	 *	Kurzpfad zum Master. Wenn der Master nicht
	 *	automatisch connected werden soll, reicht
	 *	auch nur die Adresse/Rufzeichen des Masters.
	 *
	 */
	struct AX25_smart_path	path;

	/*
	 *	Verbindungs-Passwort
	 *
	 */
	char			passwd[41];
};


void m_clear ();
char m_add (struct AX25_smart_path xdata *path);
struct Master xdata * m_lookup (struct AX25_address xdata *addr);
char m_del (struct AX25_address xdata *addr);
void m_list (struct AX25_cb xdata *axcb);
void m_run ();


#endif


