
#ifndef _PASSWD_H_
#define _PASSWD_H_

#include "ax25.h"

/*
 *	Minimale Passwort-Laenge
 *
 */
#define PW_LEN_MIN	10

/*
 *	Maximale Passwort-Laenge
 *
 */
#define PW_LEN_MAX	100	

/*
 *	Anzahl der Zeichen aus dem Passwort-String, die
 *	abgefragt werden.
 *
 */
#define PW_NUM_CNT	5


struct Passwd {
	unsigned char		state;

	/*
	 *	Flags
	 *
	 */
	unsigned char		prefix;

	/*
	 *	AX.25-Controlblock ueber den alle
	 *	Ein- und Ausgaben laufen
	 *
	 */
	struct AX25_cb xdata 	*axcb;

	/*
	 *	Puffer, in dem die Indices der abzufragenden
	 *	Passwort-Zeichen gespeichert werden.
	 *
	 */
	unsigned char		buf[PW_NUM_CNT];
	unsigned char		buflen;

	/*
	 *	Zeiger auf Passwort und dessen Laenge
	 *
	 */
	char xdata		*pw;
	unsigned char		pwlen;
};

struct Passwd xdata * pw_new (struct AX25_cb xdata *axcb, 
		              char xdata *pw,
			      char prefix);

void pw_delete (struct Passwd xdata *p);
char pw_run (struct Passwd xdata *p);


#endif

