
#ifndef _POCSAG_H_
#define _POCSAG_H_

#include "page.h"

/*
 *	Anzahl der Nutz-Datenbits, die in einem Codewort
 *	transportiert werden koennen.
 *
 */
#define POC_BITS_PER_CW		20

/*
 *	Anzahl Bits, die benoetigt wird, um ein Zeichen
 *	zu codieren.
 *
 */
#define POC_BITS_PER_CHAR	7

/*
 *	Anzahl Bits, die benoetigt wird, um eine Ziffer
 *	zu codieren.
 *
 */
#define POC_BITS_PER_DIGIT	4



struct Page xdata * poc_encode_str (unsigned long addr, 
 			            unsigned char func,
				    const char xdata *text);

struct Page xdata * poc_encode_scrambled (unsigned long addr, 
 			                  unsigned char func,
				          const char xdata *text);

struct Page xdata * poc_encode_num (unsigned long addr,
				    unsigned char func,
				    const char xdata *text);
				    
struct Page xdata * poc_encode (unsigned long addr,
				unsigned char func,
				const char xdata *text);


void poc_trim (struct PageSequence xdata *ps);
struct Page xdata * poc_splitoff (struct PageSequence xdata *ps);

void poc_decode_addr (struct Page xdata *page,
		      unsigned long xdata *addr,
		      unsigned char xdata *func);

char xdata * poc_decode_str (struct Page xdata *page);
char xdata * poc_decode_scrambled (struct Page xdata *page);
char xdata * poc_decode_num (struct Page xdata *page);


#endif

