
#ifndef _REPEATER_H_
#define _REPEATER_H_

#include "scc.h"
#include "ax25.h"

/*
 *	Maximales Delay zwischen Empfang und Aussendung
 *	einer Funkrufsequenz (in 1/10 Sekunden)
 *
 */
#define RP_DELAY_MAX		10

/*
 *	Feste Repeater-Parameter.
 *
 */
#define RP_CW_MAX		2100

/*
 *	Triggeranzahl	
 *
 */
#define TRIGGER_MAX		4


struct Trigger {
	unsigned char	in_use : 1;
	unsigned long	addr;
};


struct TriggerState {
	/*
	 *	Anzahl der Codewoerter (excl. Synchron-CWs) des
	 *	letzten Empfangenen Durchgangs (Last Code Word Count).
	 *
	 */
	unsigned int	lcwc;
	
	/*
	 *	Anzahl empfangene Durchgaenge
	 *
	 */
	unsigned long	rx;

	/*
	 *	Anzahl ausgesendete Durchgaenge
	 *
	 */
	unsigned long	tx;
};


void rp_trigger_clear ();
char rp_trigger_add (unsigned long addr);
char rp_trigger_del (unsigned long addr);
void rp_trigger_list (struct AX25_cb xdata *axcb);

void rp_init ();
void rp_run ();


#endif


