
#ifndef _RTC_H_
#define _RTC_H_

#include "system.h"

/*
 *	Anzahl T2 Ticks bei T2src = Fclk/12 und Prescaler = 2 zur
 *	Messung einer Zeitspanne von 100ms.
 *
 */
#define RTC_INTERVAL	((unsigned int)46080)


typedef unsigned int stime_t;


/*
 *	Fuer direkten Zugriff auf die System-Zeit. Diese
 *	Variable kann z.B. sehr gut in ISRs verwendet
 *	werden.
 *
 */
extern stime_t idata systime;


void rtc_init ();
void rtc_alarm (unsigned char slot, void (*func)());
stime_t rtc_time ();
void rtc_set (stime_t stime);

#ifdef SDCC
void rtc_isr () interrupt INT_CM2;
#endif


#endif

