
#ifndef _SCP_H_
#define _SCP_H_


#include "ax25.h"
#include "rtc.h"
#include "passwd.h"
#include "timer.h"


struct SCP {
	struct SCP xdata	*next;

	/*
	 *	Zeiger auf Passwort-Instanz
	 *
	 */
	struct Passwd xdata	*passwd;

	/*
	 *	naechste erwartete Sequnznummer. Wird
	 *	fuer die Behandlung von Asynchronen
	 *	Kommandos verwendet.
	 *
	 */
	unsigned char		seq;

	/*
	 *	Timer
	 *
	 */
	struct Timer		t_ack;		/* Acknowledge-Timer */
	struct Timer		t_tout;		/* Timeout-Timer */

	/*
	 *	Der zum SCP zugehoerige AX.25-Controlblock
	 *
	 */
	struct AX25_cb xdata	*axcb;
};


void scp_setup (struct AX25_cb xdata * axcb);
void scp_usage (struct AX25_cb xdata * axcb);
char scp_connection ();
void scp_run ();


#endif


