;-----------------------------------------------------------------------------
;
;	$Id: system.s,v 1.3 2002/04/14 14:27:32 Klaus Exp $
;
;	system.s	Systemspezifische Funktionen, die nicht
;			so einfach in C implementiert werden koennen.
;	
;
;
;	2002,		Klaus Hennemann, DL3KHB
;
;-----------------------------------------------------------------------------
			
			$NOMOD51
			$INCLUDE(reg552.inc)


sys_code_seg		segment code

			rseg sys_code_seg


;***************************************************************************
;*									   
;* void sys_hwm_init ()
;*
;* Initialisiert den Prozessor-Stack im IDATA-Segment mit Nullen. Das ist
;* Notwendig, damit mit der Funktion sys_hwm() die Hochwasser-Marke (High-
;* Water-Mark = HWM) ausgelesen werden kann. Da Der Stack das 80C552 auf
;* 256 Bytes begrenzt ist, ist die HWM ein wichtiger Diagnose-Wert.
;*
;***************************************************************************

			public sys_hwm_init
			
sys_hwm_init:		mov r0, sp
			inc r0
			
L1:			mov @r0, #00
			inc r0
			cjne r0, #00, L1

			ret


;***************************************************************************
;*
;* unsigned char sys_hwm ()
;*
;* Ermittelt die "High Water Mark" HWM des Prozessor-Stacks im IDATA-
;* Segment. Es wird die Adresse des hoechsten bisher benutzten Stack-Platzes
;* zurueckgegeben. Die Adresse liegt im Intervall [0..255].
;*
;***************************************************************************

			public sys_hwm
			
sys_hwm:		mov r0, #0ffh

L2:			mov a, @r0
			jnz L3
			djnz r0, L2

L3:			mov a, r0
			mov r7, a
			ret


;***************************************************************************
;*
;* unsiged int sys_cli ()
;*
;* Schaltet alle Interrupts ab und gibt den vorigen Interrupt-Zustand
;* als (unsigned int) zurueck (IEN0 -> LSB, IEN1 -> MSB).
;*
;***************************************************************************

			public sys_cli

sys_cli:		clr a
			xch a, IEN0
			mov r7, a

			clr a
			xch a, IEN1
			mov r6, a

			ret

		
			
;***************************************************************************
;*
;* void sys_sti (unsined int m)
;*
;* Stellt den Interrupt-Freischaltungs-Zustand wieder her, der von
;* sys_cli() zurueckgegeben wird.
;*
;***************************************************************************

			public _sys_sti

_sys_sti:		clr EA

			mov IEN1, r6
			mov IEN0, r7

			ret
			
			
;-----------------------------------------------------------------------------

			end

