
#ifndef _TIMER_H_
#define _TIMER_H_

#include "types.h"

/*
 *	Timer-Flags
 *
 */
#define T_RES100MS	0	/* Timeraufloesung 100ms */
#define T_RES1S		1	/* Timeraufloesung 1s */
#define T_RES10S	2	/* Timeraufloesung 10s */

/*
 *	Zustaend eines Timers
 *
 */
#define T_STOPPED	0	/* Timer ist angehalten */
#define T_RUNNING	1	/* Timer laeuft */
#define T_EXPIRED	2	/* Timer ist abgelaufen */


struct TimerTab {
	struct Timer xdata	*first;

	/*
	 *	Zaehl-Register, mit dem der Tackt 
	 *	fuer diesen Timer abgeleitet wird.
	 *
	 */
	unsigned char		reg;
};


struct Timer {
	struct Timer xdata	*next;	/* Zeiger auf naechsten Timer */

	unsigned char		state;	/* Zustand des Timers */
	struct TimerTab	idata	*ttab;	/* zugehoerige Timer-Tabelle */

	unsigned char		value;	/* aktueller Timer-Wert */
	unsigned char		initial;/* Initialisierungswert */
};


extern volatile unsigned char idata t_reg;

void t_run ();
void t_set (struct Timer xdata *t,unsigned char initial,unsigned char res);
void t_start (struct Timer xdata *t) ;
void t_stop (struct Timer xdata *t);
char t_isexpired (struct Timer xdata *t);
char t_isrunning (struct Timer xdata *t);


#endif

