
#ifndef _UPLOAD_H_
#define _UPLOAD_H_

#include "ax25.h"


/*
 *	Maximale BIN-File Groesse. Mehr als 64KB bekommen wir
 *	einfach nicht in das EPROM ;-)
 *
 */
#define UP_BINLEN_MAX		0x10000UL	


struct Upload {
	/*
	 *	Zustand des Upload-Objekts
	 *
	 */
	unsigned char		state;

	/*
	 *	AX.25-Controlblock ueber den die Ein- und
	 *	Ausgabe abgewickelt wird.
	 *
	 */
	struct AX25_cb xdata	*axcb;

	/*
	 *	Flash-Bank + Adresse an die das naechste empfangene
	 *	Byte geschrieben werden soll.
	 *
	 */
	unsigned char		flash_bank;
	unsigned int		flash_addr;

	/*
	 *	Autobin-Daten	
	 * 
	 */
	unsigned int		bin_crc;
	unsigned long		bin_size;
	unsigned long		bin_left;	/* noch zu empfangende Bytes */

	/*
	 *	CRC-Register zur Berechnung der autobin-CRC
	 *
	 */
	unsigned int		crc;
};


struct Upload xdata * up_new (struct AX25_cb xdata *axcb, unsigned char bank);
void up_delete (struct Upload xdata *up);
char up_run (struct Upload xdata *up);

#endif

